Summary:	IBM Courier font in Type1 format
Summary(pl.UTF-8):	Font IBM Courier w formacie Type1
Name:		xorg-font-font-ibm-type1
Version:	1.0.4
Release:	1
License:	distributable (see COPYING)
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-ibm-type1-%{version}.tar.xz
# Source0-md5:	00f64a84b6c9886040241e081347a853
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	t1utils
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IBM Courier font in Type1 format.

%description -l pl.UTF-8
Font IBM Courier w formacie Type1.

%prep
%setup -q -n font-ibm-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm, convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
%{__mv} *.afm afm
for f in *.pfa ; do
	t1binary $f `basename $f .pfa`.pfb
	rm -f $f
done
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.ibm
%{__rm} fonts.scale fonts.dir

cat > Fontmap.ibm <<EOF
/Courier                                 (cour.pfb)     ;
/Courier-Bold                            (courb.pfb)    ;
/Courier-BoldItalic                      (courbi.pfb)   ;
/Courier-Italic                          (couri.pfb)    ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/Type1/cour*.pfb
%{_fontsdir}/Type1/afm/cour*.afm
%{_fontsdir}/Type1/fonts.scale.ibm
%{_fontsdir}/Type1/Fontmap.ibm
%changelog
* Fri Mar 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-ibm-type1.git;a=log;h=master

* Thu Mar 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 1fc25b0
- updated to 1.0.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 1be5ca6
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 0b35f23
- dropped pre-cvs changelog

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 21a10fd
- updated to 1.0.3

* Wed Oct 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 0f80a2e
- updated to 1.0.2

* Sun Oct 18 2009 Jakub Bogusz <qboosh@pld-linux.org> 1416a80
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 883370c
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 3ddbe7b
- BA: noarch
- release 2

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 0bbdac9
- informative descs
- create .Fontmap file
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 427c2f0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c7da444
- converted to UTF-8

* Wed Jan 04 2006 Jakub Bogusz <qboosh@pld-linux.org> d6e3bbf
- 1.0.0 (X11R7.0 release)

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 39bf52e
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 98f7e4f
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 791eb07
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 8de1a7a
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 45bc995
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

